SET FEEDBACK OFF
CREATE TABLE ABBREVIATION 
(
	ABBREVIATION_S                          VARCHAR2(19)        NOT NULL,
	ABBREV_WORD                             VARCHAR2(40)        NOT NULL,
	FULL_WORD                               VARCHAR2(40)        NOT NULL,
	TYPE_CODE                               CHAR(1)             NOT NULL);
CREATE TABLE ATTRIBUTE 
(
	AGGR_NAME                               VARCHAR2(15)                ,
	ATTRIBUTE_NM                            VARCHAR2(40)        NOT NULL,
	ATTRIBUTE_S                             VARCHAR2(19)        NOT NULL,
	ENT_OR_TYPE_CODE                        CHAR(3)             NOT NULL,
	ENT_OR_TYPE_NM                          VARCHAR2(40)        NOT NULL,
	FIXED_LENGTH                            CHAR(1)             NOT NULL,
	FORWARD_S                               VARCHAR2(19)                ,
	IS_ACTIVE                               CHAR(1)             NOT NULL,
	MAX_CARD                                INTEGER                     ,
	MAX_LENGTH                              INTEGER                     ,
	MIN_CARD                                INTEGER                     ,
	OPTIONALITY                             CHAR(1)             NOT NULL,
	ORIG_CARD                               INTEGER                     ,
	PARENT_ENT                              VARCHAR2(40)        NOT NULL,
	REDECL_ENT_S                            VARCHAR2(19)                ,
	SOURCE_S                                VARCHAR2(19)        NOT NULL,
	VERB_PHRASE                             VARCHAR2(40)                );
CREATE TABLE ATT_COL_GRP_MAP 
(
	ATTRIBUTE_S                             VARCHAR2(19)        NOT NULL,
	ATT_COL_GRP_MAP_S                       VARCHAR2(19)        NOT NULL,
	COLUMN_GROUP_S                          VARCHAR2(19)        NOT NULL,
	PROD_VERSN_S                            VARCHAR2(19)        NOT NULL,
	PROJECTED_ENT_S                         VARCHAR2(19)        NOT NULL,
	REF_PROJ_METH                           VARCHAR2(40)        NOT NULL);
CREATE TABLE CHANGE 
(
	CHANGE_S                                VARCHAR2(19)        NOT NULL,
	PARENT_REQUEST                          CHAR(4)             NOT NULL,
	TITLE                                   VARCHAR2(2000)              ,
	TYPE_OF_CHANGE                          CHAR(1)             NOT NULL);
CREATE TABLE CHANGED_OBJECT 
(
	CHANGED_OBJECT_S                        VARCHAR2(19)        NOT NULL,
	OBJECT_NM                               VARCHAR2(80)        NOT NULL,
	OBJECT_S                                VARCHAR2(19)                ,
	OBJECT_T                                CHAR(3)             NOT NULL,
	PARENT_CHANGE_S                         VARCHAR2(19)        NOT NULL,
	TOP_OBJECT_NM                           VARCHAR2(80)        NOT NULL,
	TOP_OBJECT_S                            VARCHAR2(19)                ,
	TOP_OBJECT_T                            CHAR(3)             NOT NULL);
CREATE TABLE CHANGE_REQUEST 
(
	CHANGE_REQUEST_S                        VARCHAR2(19)        NOT NULL,
	REQUEST_NR                              CHAR(4)             NOT NULL,
	SOURCE_S                                VARCHAR2(19)        NOT NULL,
	TITLE                                   VARCHAR2(2000)      NOT NULL,
	TOPIC                                   VARCHAR2(40)        NOT NULL);
CREATE TABLE COLUMN_DEF 
(
	COLUMN_DEF_NM                           VARCHAR2(40)        NOT NULL,
	COLUMN_DEF_S                            VARCHAR2(19)        NOT NULL,
	DUPLICATE_FROM_S                        VARCHAR2(19)                ,
	DUPLICATE_THRU_S                        VARCHAR2(19)                ,
	FIXED_LENGTH                            CHAR(1)                     ,
	MAX_LENGTH                              INTEGER                     ,
	OPTIONALITY                             CHAR(1)             NOT NULL,
	PARENT_TABLE_S                          VARCHAR2(19)        NOT NULL,
	PART_OF_SI                              CHAR(1)             NOT NULL,
	PROD_VERSN_S                            VARCHAR2(19)        NOT NULL,
	RELATED_COLUMN_S                        VARCHAR2(19)                ,
	RELATED_ENT_S                           VARCHAR2(19)                ,
	RELATED_TABLE_S                         VARCHAR2(19)                ,
	SQL_TYPE_NM                             VARCHAR2(40)        NOT NULL,
	TYPE_CODE                               CHAR(1)             NOT NULL);
CREATE TABLE COLUMN_GROUP 
(
	COLUMN_DEF_S                            VARCHAR2(19)        NOT NULL,
	COLUMN_GROUP_NM                         VARCHAR2(40)                ,
	COLUMN_GROUP_S                          VARCHAR2(19)        NOT NULL,
	HEAD_COL_GRP_S                          VARCHAR2(19)        NOT NULL,
	PROD_VERSN_S                            VARCHAR2(19)        NOT NULL,
	REF_COLUMN_GRP_KD                       VARCHAR2(15)        NOT NULL);
CREATE TABLE DDL_TUNING 
(
	DDL_STATEMENT                           VARCHAR2(2000)              ,
	DDL_TUNING_S                            VARCHAR2(19)        NOT NULL,
	FEATURE_S                               VARCHAR2(19)        NOT NULL,
	OBJECT_S                                VARCHAR2(19)        NOT NULL,
	OBJ_TYPE                                CHAR(3)             NOT NULL);
CREATE TABLE DESCRIPTION 
(
	DESCRIPTION_S                           VARCHAR2(19)        NOT NULL,
	DESCRIPTION_TEXT                        VARCHAR2(2000)      NOT NULL);
CREATE TABLE DIAGRAM_SET 
(
	DESCRIPTION                             VARCHAR2(2000)              ,
	DIAGRAM_SET_NM                          VARCHAR2(40)        NOT NULL,
	DIAGRAM_SET_S                           VARCHAR2(19)        NOT NULL,
	DIAG_SET_HEAD_S                         VARCHAR2(19)                ,
	ENTITY_DEF_S                            VARCHAR2(19)                );
CREATE TABLE DUPLICATION 
(
	ARGUMENT                                VARCHAR2(2000)              ,
	DUPLICATION_S                           VARCHAR2(19)        NOT NULL,
	PROD_VERSN_S                            VARCHAR2(19)        NOT NULL,
	REF_DUPL_METHOD                         VARCHAR2(40)        NOT NULL,
	SOURCE_COLUMN_S                         VARCHAR2(19)        NOT NULL);
CREATE TABLE ENTITY_DEF 
(
	ENTITY_DEF_NM                           VARCHAR2(40)        NOT NULL,
	ENTITY_DEF_S                            VARCHAR2(19)        NOT NULL,
	IS_ABSTRACT                             CHAR(1)             NOT NULL,
	IS_ACTIVE                               CHAR(1)             NOT NULL,
	REF_TYPE_CODE                           CHAR(1)                     ,
	SCHEMA_DEF_S                            VARCHAR2(19)        NOT NULL,
	SOURCE_S                                VARCHAR2(19)        NOT NULL);
CREATE TABLE ENUM_TYPE 
(
	ENUM_TYPE_S                             VARCHAR2(19)        NOT NULL,
	LIST_MEMBER                             VARCHAR2(40)        NOT NULL,
	PARENT_TYPE_DEF_S                       VARCHAR2(19)        NOT NULL,
	SOURCE_S                                VARCHAR2(19)        NOT NULL);
CREATE TABLE ENUM_VALUE 
(
	COLUMN_DEF_S                            VARCHAR2(19)        NOT NULL,
	ENUM_VALUE_S                            VARCHAR2(19)        NOT NULL,
	STD_DATE                                DATE                        ,
	STD_NAME                                VARCHAR2(40)                ,
	STD_NUMBER                              NUMBER                      );
CREATE TABLE EPIC_TYPE 
(
	EPIC_NAME                               VARCHAR2(40)        NOT NULL,
	EPIC_TYPE_S                             VARCHAR2(19)        NOT NULL,
	N_PARAM                                 INTEGER             NOT NULL,
	PARAM_1_LINK                            VARCHAR2(40)                ,
	PARAM_1_TEXT                            VARCHAR2(80)                ,
	PARAM_2_LINK                            VARCHAR2(40)                ,
	PARAM_2_TEXT                            VARCHAR2(80)                ,
	PARAM_3_LINK                            VARCHAR2(40)                ,
	PARAM_3_TEXT                            VARCHAR2(80)                ,
	PARAM_4_LINK                            VARCHAR2(40)                ,
	PARAM_4_TEXT                            VARCHAR2(80)                ,
	PARAM_5_LINK                            VARCHAR2(40)                ,
	PARAM_5_TEXT                            VARCHAR2(80)                ,
	PARAM_6_LINK                            VARCHAR2(40)                ,
	PARAM_6_TEXT                            VARCHAR2(80)                );
CREATE TABLE OBJ_DESC 
(
	DESCRIPTION_S                           VARCHAR2(19)        NOT NULL,
	OBJECT_S                                VARCHAR2(19)        NOT NULL,
	OBJECT_T                                CHAR(3)             NOT NULL,
	OBJ_DESC_S                              VARCHAR2(19)        NOT NULL);
CREATE TABLE PROD_VERSN 
(
	PROD_DATE                               DATE                NOT NULL,
	PROD_VERSN_NM                           VARCHAR2(40)        NOT NULL,
	PROD_VERSN_S                            VARCHAR2(19)        NOT NULL);
CREATE TABLE PROJECTION_MAP 
(
	MAP_HEAD_S                              VARCHAR2(19)        NOT NULL,
	MAP_SOURCE_S                            VARCHAR2(19)                ,
	MAP_TARGET_S                            VARCHAR2(19)                ,
	PROD_VERSN_S                            VARCHAR2(19)        NOT NULL,
	PROJECTION_MAP_S                        VARCHAR2(19)        NOT NULL,
	REF_PROJ_METH                           VARCHAR2(40)        NOT NULL);
CREATE TABLE REF_COLUMN_GRP 
(
	DEFINITION                              VARCHAR2(2000)      NOT NULL,
	REF_COLUMN_GRP_NM                       VARCHAR2(15)        NOT NULL,
	REF_COLUMN_GRP_S                        VARCHAR2(19)        NOT NULL);
CREATE TABLE REF_DUPL_METHOD 
(
	DEFINITION                              VARCHAR2(2000)      NOT NULL,
	DUPL_METHOD_NM                          VARCHAR2(40)        NOT NULL,
	REF_DUPL_METHOD_S                       VARCHAR2(19)        NOT NULL);
CREATE TABLE REF_FEATURE 
(
	DESCRIPTION                             VARCHAR2(2000)              ,
	PRODUCT                                 VARCHAR2(15)        NOT NULL,
	REF_FEATURE_NM                          VARCHAR2(40)        NOT NULL,
	REF_FEATURE_S                           VARCHAR2(19)        NOT NULL);
CREATE TABLE REF_OBJECT 
(
	LAST_SURROGATE                          INTEGER             NOT NULL,
	OBJ_TYPE                                CHAR(3)             NOT NULL,
	REF_OBJECT_NM                           VARCHAR2(40)        NOT NULL,
	REF_OBJECT_S                            VARCHAR2(19)        NOT NULL);
CREATE TABLE REF_PROJ_METHOD 
(
	DEFINITION                              VARCHAR2(2000)      NOT NULL,
	REF_PROJ_METHOD_NM                      VARCHAR2(40)        NOT NULL,
	REF_PROJ_METHOD_S                       VARCHAR2(19)        NOT NULL,
	SOURCE_OBJ_TYPE                         CHAR(3)             NOT NULL,
	TARGET_OBJ_TYPE                         CHAR(3)             NOT NULL);
CREATE TABLE REF_RULE_TYPE 
(
	DEFINITION                              VARCHAR2(2000)      NOT NULL,
	REF_RULE_TYPE_NM                        VARCHAR2(40)        NOT NULL,
	REF_RULE_TYPE_S                         VARCHAR2(19)        NOT NULL);
CREATE TABLE REF_SCHEMA 
(
	PARENT_SCHEMA_S                         VARCHAR2(19)        NOT NULL,
	REFD_SCHEMA_S                           VARCHAR2(19)        NOT NULL,
	REF_SCHEMA_S                            VARCHAR2(19)        NOT NULL,
	REF_SCHEMA_TYPE                         CHAR(1)             NOT NULL);
CREATE TABLE RULES 
(
	ATTRIBUTE_S                             VARCHAR2(19)                ,
	ENT_OR_TYPE_S                           VARCHAR2(19)        NOT NULL,
	REF_RULE_TYPE                           VARCHAR2(40)                ,
	RULES_S                                 VARCHAR2(19)        NOT NULL,
	RULE_LABEL                              VARCHAR2(40)                ,
	RULE_TEXT                               VARCHAR2(2000)              ,
	RULE_TYPE                               CHAR(3)             NOT NULL,
	SOURCE_S                                VARCHAR2(19)        NOT NULL,
	SUBSET_CONSTRAINT                       CHAR(1)             NOT NULL);
CREATE TABLE SCHEMA_DEF 
(
	SCHEMA_DEF_NM                           VARCHAR2(40)        NOT NULL,
	SCHEMA_DEF_S                            VARCHAR2(19)        NOT NULL,
	SOURCE_S                                VARCHAR2(19)        NOT NULL);
CREATE TABLE SELECT_TYPE 
(
	ENT_OR_TYPE_CODE                        CHAR(3)             NOT NULL,
	ENT_OR_TYPE_S                           VARCHAR2(19)        NOT NULL,
	PARENT_TYPE_DEF_S                       VARCHAR2(19)        NOT NULL,
	SELECT_TYPE_S                           VARCHAR2(19)        NOT NULL,
	SOURCE_S                                VARCHAR2(19)        NOT NULL);
CREATE TABLE SOURCE 
(
	SOURCE_NM                               VARCHAR2(40)        NOT NULL,
	SOURCE_S                                VARCHAR2(19)        NOT NULL,
	VERSN_DATE                              DATE                NOT NULL);
CREATE TABLE SQL_TYPE 
(
	SQL_TYPE_NM                             VARCHAR2(40)        NOT NULL,
	SQL_TYPE_S                              VARCHAR2(19)        NOT NULL);
CREATE TABLE SUPERSUB 
(
	ORIGIN_S                                VARCHAR2(19)        NOT NULL,
	SOURCE_S                                VARCHAR2(19)        NOT NULL,
	SUB_S                                   VARCHAR2(19)        NOT NULL,
	SUPERSUB_S                              VARCHAR2(19)        NOT NULL,
	SUPER_S                                 VARCHAR2(19)        NOT NULL);
CREATE TABLE TABLE_DEF 
(
	PROD_VERSN_S                            VARCHAR2(19)        NOT NULL,
	TABLE_DEF_NM                            VARCHAR2(40)        NOT NULL,
	TABLE_DEF_S                             VARCHAR2(19)        NOT NULL,
	TABLE_TYPE                              CHAR(1)             NOT NULL);
CREATE TABLE TYPE_DEF 
(
	AGGR_NAME                               VARCHAR2(15)                ,
	EPIC_TYPE_S                             VARCHAR2(19)                ,
	FIXED_LENGTH                            CHAR(1)             NOT NULL,
	MAX_CARD                                INTEGER                     ,
	MAX_LENGTH                              INTEGER                     ,
	MIN_CARD                                INTEGER                     ,
	PARAM_1                                 VARCHAR2(40)                ,
	PARAM_2                                 VARCHAR2(40)                ,
	PARAM_3                                 VARCHAR2(40)                ,
	PARAM_4                                 VARCHAR2(40)                ,
	PARAM_5                                 VARCHAR2(40)                ,
	PARAM_6                                 VARCHAR2(40)                ,
	SCHEMA_DEF_S                            VARCHAR2(19)        NOT NULL,
	SOURCE_S                                VARCHAR2(19)        NOT NULL,
	TYPE_CODE                               CHAR(3)             NOT NULL,
	TYPE_DEF_NM                             VARCHAR2(40)        NOT NULL,
	TYPE_DEF_S                              VARCHAR2(19)        NOT NULL);
CREATE TABLE USE_STATS 
(
	AVE_CREATE                              INTEGER                     ,
	AVE_DELETE                              INTEGER                     ,
	AVE_ROWS                                INTEGER                     ,
	AVE_UPDATE                              INTEGER                     ,
	END_TIME                                DATE                        ,
	MAX_CREATE                              INTEGER                     ,
	MAX_DELETE                              INTEGER                     ,
	MAX_ROWS                                INTEGER                     ,
	MAX_UPDATE                              INTEGER                     ,
	MIN_ROWS                                INTEGER                     ,
	OBJECT_S                                VARCHAR2(19)        NOT NULL,
	OBJECT_T                                CHAR(3)             NOT NULL,
	PROD_VERSN_S                            VARCHAR2(19)                ,
	SOURCE_S                                VARCHAR2(19)                ,
	START_TIME                              DATE                        ,
	USE_STATS_S                             VARCHAR2(19)        NOT NULL);

exit;
